Skip to main content
GET
/
files
/
2026-03
/
folders
/
search
Search folders
curl --request GET \
  --url https://api.hubapi.com/files/2026-03/folders/search \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "parentFolderId": "<string>",
      "path": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

before
string
createdAt
string<date-time>
createdAtGte
string<date-time>
createdAtLte
string<date-time>
idGte
integer<int64>
idLte
integer<int64>
ids
integer<int64>[]
limit
integer<int32>

The maximum number of results to display per page.

name
string
parentFolderIds
integer<int64>[]
path
string
properties
string[]
sort
string[]
updatedAt
string<date-time>
updatedAtGte
string<date-time>
updatedAtLte
string<date-time>

Response

successful operation

results
object[]
required
paging
object
Last modified on March 30, 2026